Subject: Re: [PATCH] [arch-x86] Allow SRAT integrity check to be skipped

From: Peter P Waskiewicz Jr <[email-masked]>
Date: Wed, 08 Sep 2010 11:51:29 -0700

On Wed, 2010-09-08 at 11:03 -0700, H. Peter Anvin wrote:
> On 09/07/2010 11:55 PM, Andi Kleen wrote:
> > "H. Peter Anvin" <[email-masked]> writes:
> >>
> >> If this is a production BIOS it should have this information.
> > 
> > The point was -- it wasn't a production BIOS and the production
> > BIOS will be fixed.
> > 
> 
> From the original description:
> 
> This patch adds a boot parameter to allow a kernel to be booted
> with the option to skip the SRAT check.  There are BIOSes in
>                                          ^^^^^^^^^^^^^^^^^^^
> production that have these failures, so this will allow people
> ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
> in the field to work around these BIOS issues.
> 
> 
> Agreed that command-line option is a good thing to have in general and
> that it is not necessary to have DMI quirks for preproduction BIOSes.

Right.  The new patchset (when I finish it) will have the DMI quirk for
this specific production NHM-EX, plus the command-line option.

-PJ